Subject: bug#1249: menu-bar-item problem

From: "Sean Sieger" <[email-masked]>
Date: Mon, 27 Oct 2008 18:24:27 -0400

On Mon, Oct 27, 2008 at 6:03 PM, Chong Yidong <[email-masked]> wrote:
>    >> emacs -Q
>    >> f10
>    >> e
>    >>
>    >> Wrong type argument: listp, "Delete text in region and copy it to the
>    >> clipboard" [The backtrace is long.]
>    >
>    > I can't reproduce this: after pressing f10 (which opens the File menu),
>    > pressing "e" does nothing except beep.  Is it supposed to do anything?
>
>    On w32 it opens the Edit menu. I thought it should to that on all
>    platforms.
>
>  Right?  That's what I was expecting.
>
> Not on GNU/Linux.  But never mind; could you post the backtrace?

Yes, respectfully, on

GNU Emacs 23.0.60.2 (i686-pc-linux-gnu, GTK+ Version 2.12.9) of
2008-10-21 on g41r2f1

Following f10, I did e expecting to see the expansion of Edit while I was
looking for something ... tools for working on NEWS / texi source / elisp
source ... and having seen it happen in the not-too-recent past on maybe
other menu-bar-items, I'd finally report it.